<template>
    <form>
        <input type="email" name="email" v-model="state.form.email">
        <input type="password" name="password" v-model="state.form.password">
        <button @click.prevent="login()">Login</button>
    </form>
</template>

<script>
import { reactive } from '@vue/reactivity'
import {requestPost} from '../services/http-client'

export default {
    setup() {
        const state = reactive({
            form: {
                email: null,
                password: null
            }
        })
        const login = () => {
            console.log(state.form)
            requestPost('/api/auth/login', state.form).then(response => {
                console.log(response)
                if (response.status === 200) {
                    localStorage.setItem('vuejs3', response.data.access_token)
                    window.location.href = '/'
                }
            })
        }
        return {
            state,
            login,
            requestPost
        }
        
    },
}
</script>
